# Delete workspace collaborator

`DELETE https://api.airtable.com/v0/meta/workspaces/{workspaceId}/collaborators/{userOrGroupId}`

Delete a workspace collaborator.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`workspacesAndBases:write`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-write)
- **User role:** Workspace collaborators subject to [sharing restrictions](https://support.airtable.com/docs/workspace-sharing-restrictions)
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `workspaceId: string`

- `userOrGroupId: string`

## Response format

## Error responses

### 403

**Remove sole owner** — A workspace must have at least 1 owner who's responsible for the workspace's bill. Alternatively, [add another workspace owner](workspace-addWorkspaceCollaborators) before deleting the current owner.

```json
{
  "error": {
    "message": "Sole owner of a workspace cannot be removed",
    "type": "INVALID_PERMISSIONS"
  }
}
```
